#!/bin/bash

# 此脚本用于部署 独立apm 节点

CONFIG_FILE="config/all.conf"
source scripts/prepare.sh
source scripts/utils.sh
source scripts/get_config.sh
source scripts/global_variables.sh
source scripts/ssh_key_config.sh
source scripts/add_node.sh
source scripts/copy_file.sh

if ! which sshpass >/dev/null 2>&1;then
   rpm -Uvh Install_Package/sshpass-1.06-2.el7.x86_64.rpm > /dev/null 
   if [ $? -eq 0 ];then
      log_success "sshpass 安装成功！"
   else   
      log_error "sshpass 安装失败！"
   fi
   
fi

function main() {
   ssh_key_config
   add_node
}

main

