#!/bin/bash

function string_check() {
  if [ -z "$2" ];then
     log_error "check fiald. please config $1 values"
     exit 1
  fi
}


function harbor_check() {
   docker login registry.edoc2.com:5000 -u admin -p edoc2edoc2
   if [ $? -eq 0 ];then
      log_success "check harbor registry.edoc2.com:5000 successfull "
   else
      log_error "login registry.edoc2.com:5000 failed 
              1.  请检查 /etc/hosts 解析是否正常
              2. 请检查harbor 仓库是否启动正常
              cd /usr/local/harbor/ && docker-compose ps
              如果有异常，请尝试 重新启动 harbor
              docker-compose down && docker-compose  up -d
              或者 docker-compose restart
              以上 docker-compose  命令均需在 harbor 数据目录执行， 默认 /usr/local/harbor/
      "
      exit 14
   fi
}
