#!/bin/bash


function ssh_key_create() {
  if [ ! -f /root/.ssh/id_rsa ];then
     ssh-keygen -t rsa -P '' -f ~/.ssh/id_rsa
  fi  
}


function ssh_key_config() {
  ssh_key_create
  IP_LIST_CLONE=(IP ${IP_LIST[@]})
  string_check  ${IP_LIST_CLONE[@]}
  for ip in ${IP_LIST[@]};do
      US=$(get_node_attribute NODE $ip user)
      PW=$(get_node_attribute NODE $ip password)
      sed -i /${ip}/d /root/.shh/known_hosts &>/dev/null
      sshpass -p ${PW} ssh-copy-id ${SSH_OPT} ${US}@${ip} >/dev/null 2>&1
  done
}
