#!/bin/bash



# rockylinux8-soft/autogen-libopts 
# rockylinux8-soft/ntpstat
# rockylinux8-soft/docker 



# cat /etc/profile | grep ulimit
# if grep -q "ulimit" /etc/profile; then echo "ulimit have been exist"; else echo "ulimit not exist"; echo "ulimit -HSn 655350" >> /etc/profile; fi



# rpm -ivh /opt/docker/docker-compose-plugin-2.24.6-1.el8.x86_64.rpm
# rpm -ivh /opt/docker/fuse3-libs-3.3.0-17.el8.x86_64.rpm
# rpm -ivh /opt/docker/docker-buildx-plugin-0.12.1-1.el8.x86_64.rpm
# rpm -ivh /opt/docker/docker-ce-cli-25.0.3-1.el8.x86_64.rpm
# rpm -ivh /opt/docker/python3-setools-4.3.0-5.el8.x86_64.rpm
# rpm -ivh /opt/docker/python3-libsemanage-2.9-9.el8_6.x86_64.rpm
# rpm -ivh /opt/docker/python3-audit-3.0.7-5.el8.x86_64.rpm
# rpm -ivh /opt/docker/libcgroup-0.41-19.el8.x86_64.rpm
# rpm -ivh /opt/docker/fuse-common-3.3.0-17.el8.x86_64.rpm
# rpm -ivh /opt/docker/fuse3-3.3.0-17.el8.x86_64.rpm
# rpm -ivh /opt/docker/fuse-overlayfs-1.12-1.module+el8.9.0+1703+29de406e.x86_64.rpm
# rpm -ivh /opt/docker/checkpolicy-2.9-1.el8.x86_64.rpm
# rpm -ivh /opt/docker/python3-policycoreutils-2.9-24.el8.noarch.rpm
# rpm -ivh /opt/docker/policycoreutils-python-utils-2.9-24.el8.noarch.rpm
# rpm -ivh /opt/docker/container-selinux-2.221.0-1.module+el8.9.0+1703+29de406e.noarch.rpm
# rpm -ivh /opt/docker/containerd.io-1.6.28-3.1.el8.x86_64.rpm
# rpm -ivh /opt/docker/libslirp-4.4.0-1.module+el8.9.0+1703+29de406e.x86_64.rpm
# rpm -ivh /opt/docker/slirp4netns-1.2.1-1.module+el8.9.0+1703+29de406e.x86_64.rpm
# rpm -ivh /opt/docker/docker-ce-25.0.3-1.el8.x86_64.rpm
# rpm -ivh /opt/docker/docker-ce-rootless-extras-25.0.3-1.el8.x86_64.rpm


# systemctl daemon-reload
# systemctl enable docker.service
# systemctl restart docker
# systemctl daemon-reload
# systemctl start kube-proxy  && systemctl enable kube-proxy
# rm -rf /var/lib/kubelet/pki/kubelet*
# systemctl daemon-reload && systemctl start kubelet && systemctl enable kubelet


# rpm -ivh /opt/autogen-libopts/*
# rpm -ivh /opt/ntpstat/*










function copy_systemfile() {
    local NODEUSER=$1
    local NODEIP=$2
    #复制系统参数相关文件
    $SSH $NODEUSER@$NODEIP "mkdir -p /etc/kubernetes/pki"
    $SSH $NODEUSER@$NODEIP "mkdir -p /etc/cni/net.d /opt/cni/bin && mkdir -p /var/lib/kubelet /etc/docker/ /var/log/kubernetes /etc/systemd/system/kubelet.service.d/ /lib/systemd/system/kubelet.service.d /etc/kubernetes/manifests"
    # && docker login -u admin -p edoc2edoc2 registry.edoc2.com:5000 && docker pull registry.edoc2.com:5000/library/pause:3.6"
    $SCP -rp /etc/sysctl.conf $NODEUSER@$NODEIP:/etc/  
    $SCP -rp /etc/resolv.conf $NODEUSER@$NODEIP:/etc/  
    $SCP -rp /etc/hosts $NODEUSER@$NODEIP:/etc/  
    $SCP -rp /etc/profile.d/base.sh $NODEUSER@$NODEIP:/etc/profile.d/  
    $SCP -rp /etc/security/limits.conf $NODEUSER@$NODEIP:/etc/security/  
    $SCP -rp /etc/systemd/system/docker.service $NODEUSER@$NODEIP:/opt/  
    $SCP -rp /etc/docker/daemon.json $NODEUSER@$NODEIP:/opt/  
    # 复制 k8s 二进制文件,证书相关
    $SCP -rp /usr/local/bin/{kube-proxy,kubelet} $NODEUSER@$NODEIP:/usr/local/bin/  
    $SCP -rp /etc/kubernetes/pki/ca.pem $NODEUSER@$NODEIP:/etc/kubernetes/pki  
    $SCP -rp /etc/kubernetes/pki/ca-key.pem $NODEUSER@$NODEIP:/etc/kubernetes/pki  
    $SCP -rp /etc/kubernetes/pki/front-proxy-ca.pem $NODEUSER@$NODEIP:/etc/kubernetes/pki  
    $SCP -rp /etc/kubernetes/bootstrap-kubelet.kubeconfig $NODEUSER@$NODEIP:/etc/kubernetes/  
    $SCP -rp /opt/cni/bin/* $NODEUSER@$NODEIP:/opt/cni/bin/  
    $SCP -rp /lib/systemd/system/kubelet.service $NODEUSER@$NODEIP:/lib/systemd/system/kubelet.service  
    $SCP -rp  /etc/systemd/system/kubelet.service.d/10-kubelet.conf $NODEUSER@$NODEIP:/etc/systemd/system/kubelet.service.d/10-kubelet.conf  
    $SCP -rp /etc/kubernetes/kubelet-conf.yml $NODEUSER@$NODEIP:/etc/kubernetes/kubelet-conf.yml  
    $SCP -rp /etc/kubernetes/kube-proxy.kubeconfig $NODEUSER@$NODEIP:/etc/kubernetes/kube-proxy.kubeconfig  
    $SCP -rp /etc/kubernetes/kube-proxy.yaml $NODEUSER@$NODEIP:/etc/kubernetes/kube-proxy.yaml  
    $SCP -rp /lib/systemd/system/kube-proxy.service $NODEUSER@$NODEIP:/lib/systemd/system/kube-proxy.service  
    #复制docker 相关
    $SCP -rp rockylinux8-soft/*  $NODEUSER@$NODEIP:/opt  
    $SCP -rp /etc/docker/daemon.json $NODEUSER@$NODEIP:/etc/docker/  
}


function remote_sehll() {
   local NODEUSER=$1
   local NODEIP=$2  
   local HOSTN=$3
   $SSH $NODEUSER@$NODEIP hostnamectl set-hostname $HOSTN
   $SSH $NODEUSER@$NODEIP systemctl disable --now firewalld
   $SSH $NODEUSER@$NODEIP systemctl stop firewalld.service
   $SSH $NODEUSER@$NODEIP setenforce 0
   $SSH $NODEUSER@$NODEIP sed -i 's#SELINUX=enforcing#SELINUX=disabled#g' /etc/sysconfig/selinux
   $SSH $NODEUSER@$NODEIP sed -i 's#SELINUX=enforcing#SELINUX=disabled#g' /etc/selinux/config
   $SSH $NODEUSER@$NODEIP swapoff -a && sysctl -w vm.swappiness=0
   $SSH $NODEUSER@$NODEIP sed -ri '/^[^#]*swap/s@^@#@' /etc/fstab
   $SSH $NODEUSER@$NODEIP sysctl -p
   $SSH $NODEUSER@$NODEIP source /etc/profile
   $SSH $NODEUSER@$NODEIP modprobe overlay
   $SSH $NODEUSER@$NODEIP modprobe br_netfilter
   $SSH $NODEUSER@$NODEIP "echo '1' > /proc/sys/net/bridge/bridge-nf-call-iptables"
   $SSH $NODEUSER@$NODEIP "echo '1' > /proc/sys/net/bridge/bridge-nf-call-ip6tables"
   $SSH $NODEUSER@$NODEIP "echo '1' > /proc/sys/net/ipv4/ip_forward"
   $SSH $NODEUSER@$NODEIP \cp /opt/docker.service /etc/systemd/system/
   $SSH $NODEUSER@$NODEIP \cp /opt/daemon.json /etc/docker/
   $SSH $NODEUSER@$NODEIP chmod +x /etc/systemd/system/docker.service
   log_info "dokcer install started"
   $SSH $NODEUSER@$NODEIP yum localinstall /opt/docker/*.rpm -y --disablerepo=*   
   $SSH $NODEUSER@$NODEIP yum localinstall /opt/ntpstat/*.rpm -y --disablerepo=*   
   $SSH $NODEUSER@$NODEIP yum localinstall /opt/autogen-libopts/*.rpm -y --disablerepo=*   
   log_success "dokcer install successfull"

}


# function check_harbor() {

# }


function remove_cluster_all() {
   local NODEUSER=$1
   local NODEIP=$2
   local HOSTN=$3
   kubectl drain $HOSTN --delete-local-data --ignore-daemonsets   --force
   sleep 120
   $SSH $NODEUSER@$NODEIP  systemctl stop docker kubelet kube-proxy
   $SSH $NODEUSER@$NODEIP yum autoremove docker-* containerd* slirp4netns-1.2.1-1.module+el8.9.0+1703+29de406e fuse3-* checkpolicy-* -y --disablerepo=* 
   $SSH $NODEUSER@$NODEIP "rm -rf /etc/kubernetes/"
   $SSH $NODEUSER@$NODEIP  rm -rf /etc/hosts  
   $SSH $NODEUSER@$NODEIP  rm -rf /etc/systemd/system/docker.service
   $SSH $NODEUSER@$NODEIP  rm -rf /etc/docker/daemon.json
   $SSH $NODEUSER@$NODEIP  rm -rf /usr/local/bin/{kube-proxy,kubelet} 
   $SSH $NODEUSER@$NODEIP  rm -rf /opt/cni/bin/*
   $SSH $NODEUSER@$NODEIP  rm -rf /lib/systemd/system/kubelet.service 
   $SSH $NODEUSER@$NODEIP  rm -rf /etc/systemd/system/kubelet.service.d/10-kubelet.conf
   $SSH $NODEUSER@$NODEIP  rm -rf /lib/systemd/system/kube-proxy.service
   $SSH $NODEUSER@$NODEIP systemctl daemon-reload
   #复制docker 相关
   $SSH $NODEUSER@$NODEIP rm -rf /opt/{autogen-libopts,containerd,daemon.json,docker,docker.service,ntpstat} /var/lib/kubelet
   kubectl delete node $HOSTN
}

function source_date() {
   local NODEUSER=$1
   local NODEIP=$2
   local source_dates=$3
   log_info "开始配置时间同步，rockylinux 使用chronyc 工具同步 "
   $SSH $NODEUSER@$NODEIP date 
   $SSH $NODEUSER@$NODEIP timedatectl show
   $SSH $NODEUSER@$NODEIP timedatectl set-timezone Asia/Shanghai 
   $SSH $NODEUSER@$NODEIP service chronyd restart 
   $SSH $NODEUSER@$NODEIP systemctl enable chronyd.service 
   $SSH $NODEUSER@$NODEIP systemctl status chronyd.service | grep " " 
   $SSH $NODEUSER@$NODEIP chronyc makestep 
   $SSH $NODEUSER@$NODEIP chronyc sources 
   $SSH $NODEUSER@$NODEIP chronyc tracking  
   $SSH $NODEUSER@$NODEIP chronyc sourcestats  
   $SSH $NODEUSER@$NODEIP chronyc ntpdata  
   $SCP -rp config/chrony.conf   $NODEUSER@$NODEIP:/etc/  
   $SSH $NODEUSER@$NODEIP "sed -i s#'$'{REGISTRY}#$source_dates#g /etc/chrony.conf"  
   $SSH $NODEUSER@$NODEIP systemctl restart chronyd 
   $SSH $NODEUSER@$NODEIP sleep 3  
   $SSH $NODEUSER@$NODEIP chronyc makestep  
   $SSH $NODEUSER@$NODEIP chronyc sources   
   $SSH $NODEUSER@$NODEIP chronyc tracking  
   $SSH $NODEUSER@$NODEIP sed -i 's/defaults/defaults,noatime/g' /etc/fstab  
   $SSH $NODEUSER@$NODEIP ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime
   $SSH $NODEUSER@$NODEIP echo 'Asia/Shanghai' >/etc/timezone
   log_success "时间同步 已配置完成"
}





function start_service() {
   local NODEUSER=$1
   local NODEIP=$2   
   log_info "开始启动服务"
   $SSH $NODEUSER@$NODEIP systemctl daemon-reload
   $SSH $NODEUSER@$NODEIP systemctl start docker 
   $SSH $NODEUSER@$NODEIP systemctl enable docker 
   sleep 30
   check_serices  $NODEUSER $NODEIP docker 
   $SSH $NODEUSER@$NODEIP systemctl start kubelet
   $SSH $NODEUSER@$NODEIP systemctl enable kubelet
   sleep 30
   check_serices  $NODEUSER $NODEIP kubelet
   $SSH $NODEUSER@$NODEIP systemctl start kube-proxy
   $SSH $NODEUSER@$NODEIP systemctl enable kube-proxy
   sleep 30
   check_serices  $NODEUSER $NODEIP kube-proxy

}

function check_serices() {
   local NODEUSER=$1
   local NODEIP=$2
   local SERVICE=$3
   $SSH $NODEUSER@$NODEIP "systemctl status ${SERVICE} |grep running  > /dev/null" && SERVICE_STATUS=0|| SERVICE_STATUS=1    
   if [ "${SERVICE_STATUS}" == 0 ];then
       log_info "[$NODEIP] ${SERVICE} status is runing"
   else
       log_error "[$NODEIP] docker status is notruning, please ssh remote $NODEIP check systemctl status ${SERVICE}"
       exit 1
   fi
   unset SERVICE_STATUS
}
